-- version and date
local revision = tonumber(("$Revision: 46515 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-14 07:01:24 -0400 (Tue, 14 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- constants
local DURATION = 3600
local DELTA = 60
local ICON = "Interface\\Icons\\INV_Misc_Food_19"
local NAME = "Hourglass %d"
local NUM = 5

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    -- arg2 = addon's name, as recognised by the WoW API IsAddOnLoaded
    -- arg3 = addon's description, as will be shown in the menus
    Addon.super.prototype.init(self, "Hourglass", "Hourglass")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the anchor
    Hourglass:ToggleAnchor(true)
    
    -- show the bars
    local data = { name = nil, icon = ICON, startTime = GetTime() - DURATION / 2 }
    for i = 1, NUM do
        data.name = string.format(NAME, i)
        data.startTime = data.startTime + i * DELTA
        self:Debug("Starting "..Hourglass:GetBarId(data.name))
        Hourglass:StartBar(data.name, data, DURATION)
    end
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide the anchor
    Hourglass:ToggleAnchor(false)
    
    -- hide the bars
    local barId
    for i = 1, NUM do
        barId = Hourglass:GetBarId(string.format(NAME, i))
        self:Debug("Stopping "..barId)
        Hourglass:StopCandyBar(barId)
    end

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()